Page MenuHomeFreeBSD

u-boot-orangepi-pc2: Add u-boot
ClosedPublic

Authored by manu on Dec 4 2017, 6:19 PM.

Details

Summary

Add u-boot-orangepi-pc2

OrangePi PC2 is an SBC with :

  • Allwinner H5 (arm64)
  • Three usb ports + one OTG port
  • HDMI Connector
  • Headphone output
  • Microphone
  • Ethernet
  • ...

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Dec 4 2017, 6:19 PM
imp added inline comments.Dec 11 2017, 3:08 PM
sysutils/u-boot-orangepi-pc2/Makefile
12–14 ↗(On Diff #36195)

This belongs in the master port for allwinner, I think. We should move it there. There's nothing orangepi-pc2 specific about this, eh?

manu added inline comments.Dec 11 2017, 3:10 PM
sysutils/u-boot-orangepi-pc2/Makefile
12–14 ↗(On Diff #36195)

Indeed, same for the dependancy on ATF-Allwinner, we already have two ports defined it.
I'll move everything in the u-boot-master port

imp added inline comments.Dec 11 2017, 3:13 PM
sysutils/u-boot-orangepi-pc2/Makefile
12–14 ↗(On Diff #36195)

Thanks! I'm trying to keep all the knowledge about families of ports inside u-boot-master so that if the above changes, we can easily adapt all our ports. The prior 'wild west' made it hard to know what was there because it was special, and what was there because it was just old and 'cargo-cult' copied from file to file.

manu updated this revision to Diff 36476.Dec 11 2017, 7:50 PM
manu marked 3 inline comments as done.
manu updated this revision to Diff 36482.Dec 11 2017, 9:28 PM

Add u-boot-orangepi-pc2 to sysutils/Makefile

imp accepted this revision.Dec 11 2017, 9:37 PM

Thanks for making the suggested changes!

This revision is now accepted and ready to land.Dec 11 2017, 9:37 PM
Closed by commit rP456178: Add sysutils/u-boot-orangepi-pc2 (authored by manu, committed by ). · Explain WhyDec 12 2017, 6:06 PM
This revision was automatically updated to reflect the committed changes.